'use strict';

function precisionRound(number, precision) {
	return parseFloat(number).toFixed(precision);
};

/*
*Ertellen der Produkt Tabelle aus der Datenbank
*/
if(document.getElementById("produktTabelle"))
	request({
		type:"GET",
		url: "/sven/api/article"
	}, function (data) {
		data.data = data.data.DATA;

		var str = "";
		var id = 1;
		/*
		* Erstellt einen String der die Tabelle beinhaltet
		*/
		str +='<table>';
		str +='<thead>';
		str +='<tr>';
		str +='<th>Produktnummer</th>';
		str +='<th>Marke</th>';
		str +='<th>Produktname</th>';
		str +='<th>Preis</th>';
		str +='</tr>';
		str +='</thead>';
		str +='<tbody>';
		data.data.forEach(function(elem) {
			//Durchläuft das Array als Schleife
			str +='<tr>';
			str +='<td>'+elem.ID+'</td>';
			str +='<td>'+elem.Marke+'</td>';
			str +='<td>'+elem.Name+'</td>';
			str +='<td>'+precisionRound(elem.Verkaufspreis, 2)+'€'+'</td>';
			str +='</tr>';
		});
		str +='</tbody>';
		str +='</table>';
		$('#produktTabelle').html(str);    //JQuerry

	}, function (data) {
		console.log(data);
		console.log('Error Produkttabelle');
	});
